#include <linux/module.h>
#include <linux/kernel.h>
#include <linux/init.h>

static int __init hello_kernel_module_init(void)
{
  printk(KERN_INFO "Hello Worldl!\n");
  return 0;
}

static void __exit hello_kernel_module_exit(void)
{
  printk(KERN_INFO "Goodbye World!\n");
}

module_init(hello_kernel_module_init);
module_exit(hello_kernel_module_exit);

MODULE_LICENSE("GPL");
MODULE_AUTHOR("Hiroyuki Chishiro");
MODULE_DESCRIPTION("Hello Kernel Module");
